## ros-one-ur-kinematics 1.5.0-1jammy.20251023.1623

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(ur_kinematics)

find_package(catkin REQUIRED COMPONENTS roscpp geometry_msgs moveit_core moveit_kinematics
  moveit_ros_planning pluginlib tf_conversions)

find_package(Boost REQUIRED COMPONENTS system)

catkin_python_setup()

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES
    ur3_kin
    ur5_kin
    ur10_kin
    ur3_moveit_plugin
    ur5_moveit_plugin
    ur10_moveit_plugin
    ur3e_kin
    ur5e_kin
    ur10e_kin
    ur16e_kin
    ur8long_kin
    ur8long_moveit_plugin
    ur15_kin
    ur15_moveit_plugin
    ur18_kin
    ur18_moveit_plugin
    ur20_kin
    ur20_moveit_plugin
    ur30_kin
    ur30_moveit_plugin
  CATKIN_DEPENDS roscpp geometry_msgs moveit_core moveit_kinematics moveit_ros_planning
    pluginlib tf_conversions
  DEPENDS Boost
)


###########
## Build ##
###########

include_directories(SYSTEM ${Boost_INCLUDE_DIRS})
include_directories(include ${catkin_INCLUDE_DIRS})

add_library(ur3_kin src/ur_kin.cpp)
set_target_properties(ur3_kin PROPERTIES COMPILE_DEFINITIONS "UR3_PARAMS")

add_library(ur3e_kin src/ur_kin.cpp)
set_target_properties(ur3e_kin PROPERTIES COMPILE_DEFINITIONS "UR3e_PARAMS")

add_library(ur5_kin src/ur_kin.cpp)
set_target_properties(ur5_kin PROPERTIES COMPILE_DEFINITIONS "UR5_PARAMS")

add_library(ur5e_kin src/ur_kin.cpp)
set_target_properties(ur5e_kin PROPERTIES COMPILE_DEFINITIONS "UR5e_PARAMS")

add_library(ur10_kin src/ur_kin.cpp)
set_target_properties(ur10_kin PROPERTIES COMPILE_DEFINITIONS "UR10_PARAMS")

add_library(ur10e_kin src/ur_kin.cpp)
set_target_properties(ur10e_kin PROPERTIES COMPILE_DEFINITIONS "UR10e_PARAMS")

add_library(ur16e_kin src/ur_kin.cpp)
set_target_properties(ur16e_kin PROPERTIES COMPILE_DEFINITIONS "UR16e_PARAMS")

add_library(ur8long_kin src/ur_kin.cpp)
set_target_properties(ur8long_kin PROPERTIES COMPILE_DEFINITIONS "UR8LONG_PARAMS")

add_library(ur15_kin src/ur_kin.cpp)
set_target_properties(ur15_kin PROPERTIES COMPILE_DEFINITIONS "UR15_PARAMS")

add_library(ur18_kin src/ur_kin.cpp)
set_target_properties(ur18_kin PROPERTIES COMPILE_DEFINITIONS "UR18_PARAMS")

add_library(ur20_kin src/ur_kin.cpp)
set_target_properties(ur20_kin PROPERTIES COMPILE_DEFINITIONS "UR20_PARAMS")

add_library(ur30_kin src/ur_kin.cpp)
set_target_properties(ur30_kin PROPERTIES COMPILE_DEFINITIONS "UR30_PARAMS")

add_library(ur3_moveit_plugin src/ur_moveit_plugin.cpp)
set_target_properties(ur3_moveit_plugin PROPERTIES COMPILE_DEFINITIONS "UR3_PARAMS")
target_link_libraries(ur3_moveit_plugin
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ur3_kin)

add_library(ur3e_moveit_plugin src/ur_moveit_plugin.cpp)
set_target_properties(ur3e_moveit_plugin PROPERTIES COMPILE_DEFINITIONS "UR3e_PARAMS")
target_link_libraries(ur3e_moveit_plugin
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ur3e_kin)

add_library(ur5_moveit_plugin src/ur_moveit_plugin.cpp)
set_target_properties(ur5_moveit_plugin PROPERTIES COMPILE_DEFINITIONS "UR5_PARAMS")
target_link_libraries(ur5_moveit_plugin
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ur5_kin)

add_library(ur5e_moveit_plugin src/ur_moveit_plugin.cpp)
set_target_properties(ur5e_moveit_plugin PROPERTIES COMPILE_DEFINITIONS "UR5e_PARAMS")
target_link_libraries(ur5e_moveit_plugin
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ur5e_kin)

add_library(ur10_moveit_plugin src/ur_moveit_plugin.cpp)
set_target_properties(ur10_moveit_plugin PROPERTIES COMPILE_DEFINITIONS "UR10_PARAMS")
target_link_libraries(ur10_moveit_plugin
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ur10_kin)

add_library(ur10e_moveit_plugin src/ur_moveit_plugin.cpp)
set_target_properties(ur10e_moveit_plugin PROPERTIES COMPILE_DEFINITIONS "UR10e_PARAMS")
target_link_libraries(ur10e_moveit_plugin
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ur10e_kin)

add_library(ur16e_moveit_plugin src/ur_moveit_plugin.cpp)
set_target_properties(ur16e_moveit_plugin PROPERTIES COMPILE_DEFINITIONS "UR16e_PARAMS")
target_link_libraries(ur16e_moveit_plugin
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ur16e_kin)

add_library(ur8long_moveit_plugin src/ur_moveit_plugin.cpp)
set_target_properties(ur8long_moveit_plugin PROPERTIES COMPILE_DEFINITIONS "UR8LONG_PARAMS")
target_link_libraries(ur8long_moveit_plugin
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ur8long_kin)

add_library(ur15_moveit_plugin src/ur_moveit_plugin.cpp)
set_target_properties(ur15_moveit_plugin PROPERTIES COMPILE_DEFINITIONS "UR15_PARAMS")
target_link_libraries(ur15_moveit_plugin
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ur15_kin)

add_library(ur18_moveit_plugin src/ur_moveit_plugin.cpp)
set_target_properties(ur18_moveit_plugin PROPERTIES COMPILE_DEFINITIONS "UR18_PARAMS")
target_link_libraries(ur18_moveit_plugin
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ur18_kin)

add_library(ur20_moveit_plugin src/ur_moveit_plugin.cpp)
set_target_properties(ur20_moveit_plugin PROPERTIES COMPILE_DEFINITIONS "UR20_PARAMS")
target_link_libraries(ur20_moveit_plugin
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ur20_kin)

add_library(ur30_moveit_plugin src/ur_moveit_plugin.cpp)
set_target_properties(ur30_moveit_plugin PROPERTIES COMPILE_DEFINITIONS "UR30_PARAMS")
target_link_libraries(ur30_moveit_plugin
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ur30_kin)


#############
## Install ##
#############

install(TARGETS
    ur3_kin
    ur3e_kin
    ur5_kin
    ur5e_kin
    ur10_kin
    ur10e_kin
    ur16e_kin
    ur8long_kin
    ur15_kin
    ur18_kin
    ur20_kin
    ur30_kin
    ur3_moveit_plugin
    ur3_moveit_plugin
    ur5_moveit_plugin
    ur5e_moveit_plugin
    ur10_moveit_plugin
    ur10e_moveit_plugin
    ur16e_moveit_plugin
    ur8long_moveit_plugin
    ur15_moveit_plugin
    ur18_moveit_plugin
    ur20_moveit_plugin
    ur30_moveit_plugin
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# install header files
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# install moveit plugin description file
install(FILES ur_moveit_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-one-ur-kinematics (1.5.0-1jammy.20251023.1623) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 23 Oct 2025 16:23:26 +0000

ros-one-ur-kinematics (1.5.0-0jammy) jammy; urgency=high

  * Update setup.py (#701 <https://github.com/ros-industrial/universal_robot/issues/701>)
  * Add support for UR15 (#702 <https://github.com/ros-industrial/universal_robot/issues/702>)
  * Add License files to packages (#695 <https://github.com/ros-industrial/universal_robot/issues/695>)
  * Contributors: Felix Exner, Forest_Loong

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Tue, 13 May 2025 00:00:00 -0000

ros-one-ur-kinematics (1.4.0-0jammy) jammy; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Mon, 31 Mar 2025 00:00:00 -0000

ros-one-ur-kinematics (1.3.3-0jammy) jammy; urgency=high

  * Changed include for Boost in ur_kinematics (#675 <https://github.com/ros-industrial/universal_robot/issues/675>)
  * UR30 description and meshes (#674 <https://github.com/ros-industrial/universal_robot/issues/674>)
  * Contributors: Vincenzo Di Pentima

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Mon, 08 Apr 2024 00:00:00 -0000

ros-one-ur-kinematics (1.3.2-0jammy) jammy; urgency=high

  * UR20 description and meshes (#657 <https://github.com/ros-industrial/universal_robot/issues/657>)
  * ur_kinematics: upgrade KinematicsBase API (#644 <https://github.com/ros-industrial/universal_robot/issues/644>) from isys-vision/mikado
  * Contributors: Dave Coleman, Felix Exner (fexner), Rune Søe-Knudsen, Simon Schmeisser

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Mon, 18 Dec 2023 00:00:00 -0000

ros-one-ur-kinematics (1.3.1-0jammy) jammy; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Fri, 11 Nov 2022 00:00:00 -0000

ros-one-ur-kinematics (1.3.0-0jammy) jammy; urgency=high

  * Merge melodic-devel-staging #617 <https://github.com/ros-industrial/universal_robot/issues/617> from ros-industrial/melodic-devel-staging
  * Update ur kinematics (#616 <https://github.com/ros-industrial/universal_robot/issues/616>)
    * Add ur_kinematics parameter sets for all e-Series robots
    * Add a README with a notice to ur_kinematics
    * Set correct IKFast plugin name in kinematics.yaml
    * Add ignore files for releasing ur_kinematics
    Since the state of this package questionable at the current point, let's
    disable releasing it for now.
  * Increase minimum CMake version to allow builds on Focal Fossa (Noetic) (#586 <https://github.com/ros-industrial/universal_robot/issues/586>)
  * Merge pull request #501 <https://github.com/ros-industrial/universal_robot/issues/501> from gavanderhoorn/port_kinetic-devel_missing
    Cherry-pick missing commits from kinetic-devel into melodic-devel
  * Use print() function in both Python 2 and Python 3
    Legacy __print__ statements are syntax errors in Python 3 but __print()__ function works as expected in both Python 2 and Python 3.
  * Merge pull request #372 <https://github.com/ros-industrial/universal_robot/issues/372> from qqfly/patch-1
    simplify FK equations
  * migrated all package.xml files to format=2 (#439 <https://github.com/ros-industrial/universal_robot/issues/439>)
  * Merge branch 'kinetic-devel' into patch-1
  * simplify FK equations
  * Contributors: Felix Exner (fexner), Felix Mauch, G.A. vd. Hoorn, Levi Armstrong, Nadia Hammoudeh García, Qiang Qiu, cclauss

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 10 Nov 2022 00:00:00 -0000

ros-one-ur-kinematics (1.2.5-0jammy) jammy; urgency=high

  * Update maintainer listing: add Miguel (#410 <https://github.com/ros-industrial/universal_robot/issues/410>)
  * Removed non-existent moveit KDL libraries from ur_kinematics includes
  * Update maintainer and author information.
  * Missed python module definition and setup.py script (#364 <https://github.com/ros-industrial/universal_robot/issues/364>)
  * Use the new proposed API to query params from correct namespaces (#334 <https://github.com/ros-industrial/universal_robot/issues/334>)
  * Setting default ik_weights to 1.0 (#346 <https://github.com/ros-industrial/universal_robot/issues/346>)
  * ur_moveit_plugin: fix compile error with GCC6
  * Contributors: Alexander Rössler, gavanderhoorn, Henning Kayser, Mike Lautman, Nadia Hammoudeh García, jwhendy

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Fri, 05 Apr 2019 00:00:00 -0000

ros-one-ur-kinematics (1.2.1-0jammy) jammy; urgency=high

  * Merge pull request #303 <https://github.com//ros-industrial/universal_robot/issues/303> from marcoesposito1988/pr-urdf-pointer-type
    Updated urdf::ModelInterface pointer type for ROS Lunar
  * Updated urdf::ModelInterface pointer type for ROS Lunar
  * Contributors: G.A. vd. Hoorn, Marco Esposito

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Sat, 06 Jan 2018 00:00:00 -0000

ros-one-ur-kinematics (1.2.0-0jammy) jammy; urgency=high

  * Fixup for MoveIt! Kinetic
  * Contributors: Dave Coleman

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Fri, 04 Aug 2017 00:00:00 -0000

ros-one-ur-kinematics (1.1.9-0jammy) jammy; urgency=high

  * No changes.

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Mon, 02 Jan 2017 00:00:00 -0000

ros-one-ur-kinematics (1.1.8-0jammy) jammy; urgency=high

  * all: update maintainers.
  * Contributors: gavanderhoorn

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Fri, 30 Dec 2016 00:00:00 -0000

ros-one-ur-kinematics (1.1.7-0jammy) jammy; urgency=high

  * Depend on new moveit_kinematics package (#274 <https://github.com/ros-industrial/universal_robot/issues/274>).
  * Contributors: Isaac I.Y. Saito

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 29 Dec 2016 00:00:00 -0000

ros-one-ur-kinematics (1.1.6-0jammy) jammy; urgency=high

  * apply ur-kin-constants fix for ur3
  * Merge remote-tracking branch 'origin-rosi/indigo-devel' into ur-kin-constants
  * ur_kinematics: Move #defines to constants in source file.


## ros-one-ur-kinematics 1.5.0-1jammy.20251208.0923

=== debian/changelog ===
ros-one-ur-kinematics (1.5.0-1jammy.20251208.0923) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Mon, 08 Dec 2025 09:23:10 +0000

## ros-one-ur-kinematics 1.5.0-1jammy.20260128.2241

=== debian/changelog ===
ros-one-ur-kinematics (1.5.0-1jammy.20260128.2241) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Wed, 28 Jan 2026 22:41:53 +0000

## ros-one-ur-kinematics 1.5.0-1jammy.20260301.2235

=== debian/changelog ===
ros-one-ur-kinematics (1.5.0-1jammy.20260301.2235) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Sun, 01 Mar 2026 22:35:50 +0000

## ros-one-ur-kinematics 1.5.0-1noble.20251023.1701

=== debian/changelog ===
ros-one-ur-kinematics (1.5.0-1noble.20251023.1701) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 23 Oct 2025 17:01:21 +0000

ros-one-ur-kinematics (1.5.0-0noble) noble; urgency=high

  * Update setup.py (#701 <https://github.com/ros-industrial/universal_robot/issues/701>)
  * Add support for UR15 (#702 <https://github.com/ros-industrial/universal_robot/issues/702>)
  * Add License files to packages (#695 <https://github.com/ros-industrial/universal_robot/issues/695>)
  * Contributors: Felix Exner, Forest_Loong

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Tue, 13 May 2025 00:00:00 -0000

ros-one-ur-kinematics (1.4.0-0noble) noble; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Mon, 31 Mar 2025 00:00:00 -0000

ros-one-ur-kinematics (1.3.3-0noble) noble; urgency=high

  * Changed include for Boost in ur_kinematics (#675 <https://github.com/ros-industrial/universal_robot/issues/675>)
  * UR30 description and meshes (#674 <https://github.com/ros-industrial/universal_robot/issues/674>)
  * Contributors: Vincenzo Di Pentima

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Mon, 08 Apr 2024 00:00:00 -0000

ros-one-ur-kinematics (1.3.2-0noble) noble; urgency=high

  * UR20 description and meshes (#657 <https://github.com/ros-industrial/universal_robot/issues/657>)
  * ur_kinematics: upgrade KinematicsBase API (#644 <https://github.com/ros-industrial/universal_robot/issues/644>) from isys-vision/mikado
  * Contributors: Dave Coleman, Felix Exner (fexner), Rune Søe-Knudsen, Simon Schmeisser

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Mon, 18 Dec 2023 00:00:00 -0000

ros-one-ur-kinematics (1.3.1-0noble) noble; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Fri, 11 Nov 2022 00:00:00 -0000

ros-one-ur-kinematics (1.3.0-0noble) noble; urgency=high

  * Merge melodic-devel-staging #617 <https://github.com/ros-industrial/universal_robot/issues/617> from ros-industrial/melodic-devel-staging
  * Update ur kinematics (#616 <https://github.com/ros-industrial/universal_robot/issues/616>)
    * Add ur_kinematics parameter sets for all e-Series robots
    * Add a README with a notice to ur_kinematics
    * Set correct IKFast plugin name in kinematics.yaml
    * Add ignore files for releasing ur_kinematics
    Since the state of this package questionable at the current point, let's
    disable releasing it for now.
  * Increase minimum CMake version to allow builds on Focal Fossa (Noetic) (#586 <https://github.com/ros-industrial/universal_robot/issues/586>)
  * Merge pull request #501 <https://github.com/ros-industrial/universal_robot/issues/501> from gavanderhoorn/port_kinetic-devel_missing
    Cherry-pick missing commits from kinetic-devel into melodic-devel
  * Use print() function in both Python 2 and Python 3
    Legacy __print__ statements are syntax errors in Python 3 but __print()__ function works as expected in both Python 2 and Python 3.
  * Merge pull request #372 <https://github.com/ros-industrial/universal_robot/issues/372> from qqfly/patch-1
    simplify FK equations
  * migrated all package.xml files to format=2 (#439 <https://github.com/ros-industrial/universal_robot/issues/439>)
  * Merge branch 'kinetic-devel' into patch-1
  * simplify FK equations
  * Contributors: Felix Exner (fexner), Felix Mauch, G.A. vd. Hoorn, Levi Armstrong, Nadia Hammoudeh García, Qiang Qiu, cclauss

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 10 Nov 2022 00:00:00 -0000

ros-one-ur-kinematics (1.2.5-0noble) noble; urgency=high

  * Update maintainer listing: add Miguel (#410 <https://github.com/ros-industrial/universal_robot/issues/410>)
  * Removed non-existent moveit KDL libraries from ur_kinematics includes
  * Update maintainer and author information.
  * Missed python module definition and setup.py script (#364 <https://github.com/ros-industrial/universal_robot/issues/364>)
  * Use the new proposed API to query params from correct namespaces (#334 <https://github.com/ros-industrial/universal_robot/issues/334>)
  * Setting default ik_weights to 1.0 (#346 <https://github.com/ros-industrial/universal_robot/issues/346>)
  * ur_moveit_plugin: fix compile error with GCC6
  * Contributors: Alexander Rössler, gavanderhoorn, Henning Kayser, Mike Lautman, Nadia Hammoudeh García, jwhendy

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Fri, 05 Apr 2019 00:00:00 -0000

ros-one-ur-kinematics (1.2.1-0noble) noble; urgency=high

  * Merge pull request #303 <https://github.com//ros-industrial/universal_robot/issues/303> from marcoesposito1988/pr-urdf-pointer-type
    Updated urdf::ModelInterface pointer type for ROS Lunar
  * Updated urdf::ModelInterface pointer type for ROS Lunar
  * Contributors: G.A. vd. Hoorn, Marco Esposito

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Sat, 06 Jan 2018 00:00:00 -0000

ros-one-ur-kinematics (1.2.0-0noble) noble; urgency=high

  * Fixup for MoveIt! Kinetic
  * Contributors: Dave Coleman

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Fri, 04 Aug 2017 00:00:00 -0000

ros-one-ur-kinematics (1.1.9-0noble) noble; urgency=high

  * No changes.

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Mon, 02 Jan 2017 00:00:00 -0000

ros-one-ur-kinematics (1.1.8-0noble) noble; urgency=high

  * all: update maintainers.
  * Contributors: gavanderhoorn

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Fri, 30 Dec 2016 00:00:00 -0000

ros-one-ur-kinematics (1.1.7-0noble) noble; urgency=high

  * Depend on new moveit_kinematics package (#274 <https://github.com/ros-industrial/universal_robot/issues/274>).
  * Contributors: Isaac I.Y. Saito

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 29 Dec 2016 00:00:00 -0000

ros-one-ur-kinematics (1.1.6-0noble) noble; urgency=high

  * apply ur-kin-constants fix for ur3
  * Merge remote-tracking branch 'origin-rosi/indigo-devel' into ur-kin-constants
  * ur_kinematics: Move #defines to constants in source file.


=== debian/control ===
Source: ros-one-ur-kinematics
Section: misc
Priority: optional
Maintainer: G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-one-catkin, ros-one-geometry-msgs, ros-one-moveit-core, ros-one-moveit-kinematics, ros-one-moveit-ros-planning, ros-one-pluginlib, ros-one-roscpp, ros-one-tf-conversions
Homepage: http://wiki.ros.org/ur_kinematics
Standards-Version: 3.9.2

Package: ros-one-ur-kinematics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-one-geometry-msgs, ros-one-moveit-core, ros-one-moveit-kinematics, ros-one-moveit-ros-planning, ros-one-pluginlib, ros-one-roscpp, ros-one-rospy, ros-one-tf-conversions
Description: Provides forward and inverse kinematics for Universal Robots designs.
 See http://hdl.handle.net/1853/50782 for details.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-ur-kinematics//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-ur-kinematics 1.5.0-1noble.20251208.1558

=== debian/changelog ===
ros-one-ur-kinematics (1.5.0-1noble.20251208.1558) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Mon, 08 Dec 2025 15:58:34 +0000

## ros-one-ur-kinematics 1.5.0-1noble.20260128.2256

=== debian/changelog ===
ros-one-ur-kinematics (1.5.0-1noble.20260128.2256) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Wed, 28 Jan 2026 22:56:29 +0000

## ros-one-ur-kinematics 1.5.0-1noble.20260301.2229

=== debian/changelog ===
ros-one-ur-kinematics (1.5.0-1noble.20260301.2229) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Sun, 01 Mar 2026 22:29:40 +0000
